#! /bin/sh

echo "Installing AMICON FPSU-IP/Client..."

AmiOsType="unknown"
AmiOsPkg=unknown

if [ $(cat /etc/issue /etc/os-release | grep -i ubuntu | wc -l) -gt 0 ]; then
  AmiOsType="ubuntu"
  AmiOsPkg=apt-get
fi
if [ $(cat /etc/issue /etc/os-release | grep -i debian | wc -l) -gt 0 ]; then
  AmiOsType="debian"
  AmiOsPkg=apt-get
fi
if [ $(cat /etc/issue /etc/os-release | grep -i opensuse | wc -l) -gt 0 ]; then
  AmiOsType="suse"
  AmiOsPkg=yum
fi
if [ $(cat /etc/issue /etc/os-release | grep -i centos | wc -l) -gt 0 ]; then
  AmiOsType="redhat"
  AmiOsPkg=yum
fi
if [ $(cat /etc/issue /etc/os-release | grep -i fedora | wc -l) -gt 0 ]; then
  AmiOsType="redhat"
  if [ -f yum ]; then
    AmiOsPkg=yum
  else
    AmiOsPkg=dnf
  fi
fi
if [ $(cat /etc/issue /etc/os-release | grep -i raspbian | wc -l) -gt 0 ]; then
  AmiOsType="raspbian"
  AmiOsPkg=apt-get
fi

if [ "$AmiOsType" = "ubuntu" ]; then
  sudo $AmiOsPkg install gcc make libc6 module-init-tools linux-headers-generic libccid pcscd libpcsclite1 libgtk2.0-0 gtk2-engines-pixbuf
  sudo dpkg -i --force-depends ip-client*.deb
fi
if [ "$AmiOsType" = "debian" ]; then
  sudo $AmiOsPkg install gcc make libc6 kmod linux-headers-$(uname -r) libccid pcscd libpcsclite1 libgtk2.0-0 gtk2-engines-pixbuf
  sudo dpkg -i --force-depends ip-client*.deb
fi
if [ "$AmiOsType" = "suse" ]; then
  sudo rpm -i --force ip-client*.rpm
fi
if [ "$AmiOsType" = "redhat" ]; then
  sudo $AmiOsPkg install gcc make glibc module-init-tools kernel-devel ccid pcsc-lite gtk2
  sudo rpm -i --force --nodeps ip-client*.rpm
fi
if [ "$AmiOsType" = "raspbian" ]; then
  sudo $AmiOsPkg install gcc make libc6 kmod raspberrypi-kernel-headers libccid pcscd libpcsclite1 libgtk2.0-0 gtk2-engines-pixbuf
  sudo dpkg -i --force-depends ip-client*.deb
fi
